Subject: bug#1206: 23.0.60; read-shell-command completion problem

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Oct 2008 17:24:24 +0200

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

  emacs -Q
  M-!
  ls d:/gnu/emacs/lisp

Move point so that the cursor is on the slash between "emacs" and
"lisp", and type TAB.  At this point, the *Completions* buffer pops up
with the following possibilities:

  Click <mouse-2> on a completion to select it.
  In this buffer, type RET to select the completion near point.

  Possible completions are:
  emacs-21.4/            emacs-22-branch/      emacs-22.x/
  emacs-23.pre-unicode/  emacs-bidi/           emacs-rtf/
  emacs/

(Depending on your system, you will see something different.)
Clicking on "emacs-22-branch/" produces this in the minibuffer:

  emacs-22-branch//lisp

But I expected it to replace only the "emacs" part (because this is
what it evidently produced the possible completions for), so that I
will see "ls d:/gnu/emacs-22-branch/lisp".

This was on MS-Windows, but I see the same behavior on GNU/Linux:
picking up a completion replaces the whole input, up to the position
of point.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
d:/gnu/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-10-19 on HOME-C4E4A596F7
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1255
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
s e c o n d SPC C - x SPC a n d SPC w a n t e d SPC 
t o SPC b a i l SPC o u t . SPC SPC I S-SPC e x p e 
c t e d SPC t o SPC s e e SPC " Q u i t " , SPC n o 
t SPC a SPC f a t a l SPC <M-backspace> <M-backspace> 
a n SPC e r r o r . ) M-q <C-home> C-SPC <down> C-SPC 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> M-w C-x b <return> C-x 1 C-x <return> c u n 
d e c <tab> <return> C-x C-g <help-echo> <help-echo> 
C-x b * C o m <tab> <return> C-x b <return> M-! l s 
SPC d : / g n u / e m a c s / l i s p <left> <left> 
<left> <left> <left> <tab> <help-echo> <help-echo> 
<help-echo> <down-mouse-1> <mouse-2> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> C-SPC C-e 
M-w <help-echo> <help-echo> <help-echo> C-g C-x b <up> 
<up> <return> <up> <up> <up> <up> C-a C-SPC <down> 
<down> <down> <down> <down> <down> <down> M-w <help-echo> 
C-x b <return> M-x <up> <return>

Recent messages:
Quit [2 times]
universal-coding-system-argument: Wrong type argument: commandp, nil
Mark set [4 times]
Auto-saving...done
Mark set [3 times]
Saved text from "To: [email-masked]
Subject: 2"
universal-coding-system-argument: Wrong type argument: commandp, nil
Quit
Mark set